from setuptools import setup, find_packages

setup(
    name='sqnethelper',
    version='0.2.2',
    packages=find_packages(),
    install_requires=[
        'aiohttp==3.9.5',
        'aiosignal==1.3.1',
        'alibabacloud-tea==0.3.8',
        'alibabacloud-vpc20160428==6.7.0',
        'alibabacloud_credentials==0.3.4',
        'alibabacloud_endpoint_util==0.0.3',
        'alibabacloud_gateway_spi==0.0.1',
        'alibabacloud_openapi_util==0.2.2',
        'alibabacloud_tea_openapi==0.3.10',
        'alibabacloud_tea_util==0.3.12',
        'alibabacloud_tea_xml==0.0.2',
        'aliyun-python-sdk-core==2.15.1',
        'aliyun-python-sdk-ecs==4.24.73',
        'aliyun-python-sdk-vpc==3.0.45',
        'attrs==23.2.0',
        'bcrypt==4.1.3',
        'certifi==2024.6.2',
        'cffi==1.16.0',
        'charset-normalizer==3.3.2',
        'click==8.1.7',
        'cryptography==42.0.8',
        'docutils==0.21.2',
        'frozenlist==1.4.1',
        'idna==3.7',
        'importlib_metadata==8.0.0',
        'jaraco.classes==3.4.0',
        'jaraco.context==5.3.0',
        'jaraco.functools==4.0.1',
        'jmespath==0.10.0',
        'keyring==25.2.1',
        'markdown-it-py==3.0.0',
        'mdurl==0.1.2',
        'more-itertools==10.3.0',
        'multidict==6.0.5',
        'nh3==0.2.17',
        'paramiko==3.4.0',
        'pkginfo==1.10.0',
        'pycparser==2.22',
        'Pygments==2.18.0',
        'PyNaCl==1.5.0',
        'readme_renderer==43.0',
        'requests==2.32.3',
        'requests-toolbelt==1.0.0',
        'rfc3986==2.0.0',
        'rich==13.7.1',
        'sqnethelper==0.2.1',
        'twine==5.1.1',
        'urllib3==2.2.2',
        'websockets==12.0',
        'wheel==0.43.0',
        'yarl==1.9.4',
        'zipp==3.19.2',
    ],
    entry_points={
        'console_scripts': [
            'sqnethelper=sqnethelper.cli:cli',
        ],
    },
    author='weisq',
    author_email='weishqdev@gmail.com',
    description='A command line tool to manage Alibaba Cloud ECS instances',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    classifiers=[
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
)
